Skip to main content
POST /v1/payments/inquiryVoid Queries the result of a void operation using the void ID or the original request identifiers.
At least one of voidId, acquirementId, or merchantTransId must be provided.

Request Parameters

voidId
string
Unique ID of a void request generated by the wallet.Max length: 64 characters
acquirementId
string
Payment ID of the original authorization that was voided.Max length: 64 characters
merchantTransId
string
Value of the paymentRequestId field from the original pay request.

Response Parameters

result
object
required
Standard result object with resultCode, resultStatus, resultMessage
acquirementId
string
Original payment ID.Max length: 64 characters
merchantTransId
string
Original request ID.
voidDetails
array
Array of void order records. See VoidDetail.

Result Codes

resultStatusresultCodeDescription
SSUCCESSQuery successful
FPARAM_ILLEGALInvalid parameters
FORDER_NOT_EXISTThe order does not exist
FORDER_UNSUPPORTED_OPERATIONThe order does not support void
FVOID_BILL_NOT_EXISTThe void order does not exist
UUNKNOWN_EXCEPTIONUnknown error occurred